//modified version of an original id shader
textures/pjw3quickie4/q4water
{
	qer_editorimage textures/liquids/pool3d_5c2.tga
	qer_trans .75
	q3map_lightSubdivide 256
	q3map_globalTexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm noimpact
	cull disable

	q3map_surfacelight 5
	{ 
		map textures/liquids/pool3d_5c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{
		map textures/liquids/pool3d_4b2.tga
		blendfunc add
		tcmod scale .125 .125	
		rgbgen identity
	}
	{  
		map $lightmap  
		blendFunc GL_DST_COLOR GL_ONE  
	}
}

textures/pjw3quickie4/q4invisowater
{
	qer_editorimage textures/common/white.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm water
	qer_trans 0.4
}

textures/pjw3quickie4/q4sky
{
 	qer_editorimage textures/pjw3quickie4/jajdesert1_rt.tga
	q3map_lightImage textures/pjw3quickie4/jajdesert1_up.tga

	q3map_sunExt 1 1 1 700 332 30 2 16
    	q3map_skyLight 400 5

	nopicmip

 	surfaceparm noimpact
 	surfaceparm nolightmap
	surfaceparm sky

 	skyparms textures/pjw3quickie4/jajdesert1 - -
}

//modified id shader
textures/pjw3quickie4/q4_light
{
	qer_editorimage textures/pjw3quickie4/64_metpanel02.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_backSplash 0 0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pjw3quickie4/64_metpanel02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/light1.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}